Permalink
Browse files

Add Python 3.5 as a supported interpreter

  • Loading branch information...
1 parent 70bfa99 commit 351962a3c764f96593fe2213bca7fb8005ba2804 @mattiaslundberg mattiaslundberg committed with Oct 15, 2016
Showing with 26 additions and 16 deletions.
  1. +19 −11 .travis.yml
  2. +1 −1 README.rst
  3. +1 −1 dev-requirements.txt
  4. +1 −1 docs/index.rst
  5. +2 −1 docs/testing.rst
  6. +1 −0 setup.py
  7. +1 −1 tox.ini
View
@@ -1,16 +1,24 @@
language: python
-python: 2.7
-env:
- - TOX_ENV=py26
- - TOX_ENV=py27
- - TOX_ENV=py33
- - TOX_ENV=py34
- - TOX_ENV=pypy
- - TOX_ENV=flake8
install: pip install tox
-script:
- - tox -e $TOX_ENV
-services:
+matrix:
+ include:
+ - python: 2.7
+ env: TOX_ENV=py26
+ - python: 2.7
+ env: TOX_ENV=py27
+ - python: 2.7
+ env: TOX_ENV=py33
+ - python: 2.7
+ env: TOX_ENV=py34
+ - python: 2.7
+ env: TOX_ENV=pypy
+ - python: 2.7
+ env: TOX_ENV=flake8
+ - python: 3.5
+ env: TOX_ENV=py35
+script:
+ - tox -e $TOX_ENV
+services:
- mongodb
- redis-server
before_script:
View
@@ -10,7 +10,7 @@ RESTful Web Services.
Eve is powered by Flask, Redis, Cerberus, Events and offers support for both
MongoDB and SQL backends.
-The codebase is thoroughly tested under Python 2.6, 2.7, 3.3, 3.4 and PyPy.
+The codebase is thoroughly tested under Python 2.6, 2.7, 3.3, 3.4, 3.5 and PyPy.
Eve is Simple
-------------
@@ -10,7 +10,7 @@ Pygments==2.0.1
pytest==2.6.4
redis==2.10.3
Sphinx==1.2.3
-tox==1.8.1
+tox==2.4.1
wheel==0.24.0
testfixtures==4.1.2
-e git+https://github.com/nicolaiarocci/alabaster.git@15d190f29f86141aab202843f2bf3edfde71e56c#egg=al
View
@@ -11,7 +11,7 @@ Eve is powered by Flask_, Cerberus_, Events_ and MongoDB_. Support for
SQL-Alchemy, Elasticsearch and Neo4js as alternate backends is provided by
community extensions_.
-The codebase is thoroughly tested under Python 2.6, 2.7, 3.3, 3.4 and PyPy.
+The codebase is thoroughly tested under Python 2.6, 2.7, 3.3, 3.4, 3.5 and PyPy.
Eve is Simple
-------------
View
@@ -48,7 +48,7 @@ by running ::
Testing with other python versions
----------------------------------
Before you submit a pull request, make sure your tests and changes run in
-all supported python versions: 2.6, 2.7, 3.3, 3.4 and PyPy. Instead of creating all
+all supported python versions: 2.6, 2.7, 3.3, 3.4, 3.5 and PyPy. Instead of creating all
those environments by hand, Eve uses tox_.
Make sure you have all required python versions installed and run:
@@ -69,6 +69,7 @@ the following:
py27: commands succeeded
py33: commands succeeded
py34: commands succeeded
+ py35: commands succeeded
pypy: commands succeeded
flake8: commands succeeded
congratulations :)
View
@@ -52,6 +52,7 @@
'Programming Language :: Python :: 3',
'Programming Language :: Python :: 3.3',
'Programming Language :: Python :: 3.4',
+ 'Programming Language :: Python :: 3.5',
'Topic :: Internet :: WWW/HTTP :: Dynamic Content',
],
)
View
@@ -1,5 +1,5 @@
[tox]
-envlist=py26,py27,py33,py34,pypy,flake8
+envlist=py26,py27,py33,py34,py35,pypy,flake8
[testenv]
commands=python setup.py test {posargs}

0 comments on commit 351962a

Please sign in to comment.